math.h(3)

NAME
math.h -

Detailed Description

SYNOPSIS

  Defines
#define M_PI 3.141592653589793238462643
#define M_SQRT2 1.4142135623730950488016887
#define NAN __builtin_nan('')
#define INFINITY __builtin_inf()

  Functions
double cos (double __x) __ATTR_CONST__
double fabs (double __x) __ATTR_CONST__
double fmod (double __x, double __y) __ATTR_CONST__
double modf (double __value, double *__iptr)
double sin (double __x) __ATTR_CONST__
double sqrt (double __x) __ATTR_CONST__
double tan (double __x) __ATTR_CONST__
double floor (double __x) __ATTR_CONST__
double ceil (double __x) __ATTR_CONST__
double frexp (double __value, int *__exp)
double ldexp (double __x, int __exp) __ATTR_CONST__
double exp (double __x) __ATTR_CONST__
double cosh (double __x) __ATTR_CONST__
double sinh (double __x) __ATTR_CONST__
double tanh (double __x) __ATTR_CONST__
double acos (double __x) __ATTR_CONST__
double asin (double __x) __ATTR_CONST__
double atan (double __x) __ATTR_CONST__
double atan2 (double __y, double __x) __ATTR_CONST__
double log (double __x) __ATTR_CONST__
double log10 (double __x) __ATTR_CONST__
double pow (double __x, double __y) __ATTR_CONST__
int isnan (double __x) __ATTR_CONST__
int isinf (double __x) __ATTR_CONST__
double square (double __x) __ATTR_CONST__
__ATTR_CONST__ double copysign (double x, double y)
double fdim (double x, double y) __ATTR_CONST__
double fma (double x, double y, double z) __ATTR_CONST__
double fmax (double x, double y) __ATTR_CONST__
double fmin (double x, double y) __ATTR_CONST__
int signbit (double x) __ATTR_CONST__
double trunc (double x) __ATTR_CONST__
__ATTR_CONST__ int isfinite (double x)
double hypot (double x, double y)

Author

Generated automatically by Doxygen for avr-libc from the source code.